from ngsolve import *
from netgen.geom2d import unit_square

mesh = Mesh(unit_square.GenerateMesh(maxh=0.1))

fes = H1(mesh, order=1)
gfu = GridFunction(fes)

gfu.Set(x*y+2*y)
Draw(gfu, mesh, "gfu")

limit = 1.5

dofs = BitArray(fes.ndof)
dofs[:] = False
for i in range(fes.ndof):
    if gfu.vec[i] > limit:
        dofs[i] = True
        
print("dofs = \n", dofs)

print("bnd dof = ", fes.GetDofs(mesh.Boundaries("left")))
bnd_dofs = dofs & fes.GetDofs(mesh.Boundaries("left"))
print("together =", bnd_dofs)
